SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TITEMHDOSYALIMITISTITEMGRUP]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[TITEMHDOSYALIMITISTITEMGRUP](
	[TITEMHDOSYALIMITISTITEMGRUPID] [int] IDENTITY(1,1) NOT NULL,
	[TITEMHDOSYAID] [int] NOT NULL,
	[ITEMGRUPID] [int] NOT NULL,
 CONSTRAINT [PK_TITEMHDOSYALIMITISTITEMGRUP] PRIMARY KEY CLUSTERED 
(
	[TITEMHDOSYALIMITISTITEMGRUPID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
END
GO

IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMGRUP]') AND parent_object_id = OBJECT_ID(N'[dbo].[TITEMHDOSYALIMITISTITEMGRUP]'))
ALTER TABLE [dbo].[TITEMHDOSYALIMITISTITEMGRUP]  WITH CHECK ADD  CONSTRAINT [FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMGRUP] FOREIGN KEY([ITEMGRUPID])
REFERENCES [dbo].[TITEMGRUP] ([ITEMGRUPID])
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMGRUP]') AND parent_object_id = OBJECT_ID(N'[dbo].[TITEMHDOSYALIMITISTITEMGRUP]'))
ALTER TABLE [dbo].[TITEMHDOSYALIMITISTITEMGRUP] CHECK CONSTRAINT [FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMGRUP]
GO

IF NOT EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMHDOSYA]') AND parent_object_id = OBJECT_ID(N'[dbo].[TITEMHDOSYALIMITISTITEMGRUP]'))
ALTER TABLE [dbo].[TITEMHDOSYALIMITISTITEMGRUP]  WITH CHECK ADD  CONSTRAINT [FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMHDOSYA] FOREIGN KEY([TITEMHDOSYAID])
REFERENCES [dbo].[TITEMHDOSYA] ([TITEMHDOSYAID])
GO

IF  EXISTS (SELECT * FROM sys.foreign_keys WHERE object_id = OBJECT_ID(N'[dbo].[FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMHDOSYA]') AND parent_object_id = OBJECT_ID(N'[dbo].[TITEMHDOSYALIMITISTITEMGRUP]'))
ALTER TABLE [dbo].[TITEMHDOSYALIMITISTITEMGRUP] CHECK CONSTRAINT [FK_TITEMHDOSYALIMITISTITEMGRUP_TITEMHDOSYA]
GO

IF NOT EXISTS (SELECT * FROM sys.indexes WHERE object_id = OBJECT_ID(N'[dbo].[TITEMHDOSYALIMITISTITEMGRUP]') AND name = N'IX_TITEMHDOSYALIMITISTITEMGRUP_TITEMHDOSYAID_ITEMGRUPID')
CREATE NONCLUSTERED INDEX [IX_TITEMHDOSYALIMITISTITEMGRUP_TITEMHDOSYAID_ITEMGRUPID] ON [dbo].[TITEMHDOSYALIMITISTITEMGRUP] 
(
	[TITEMHDOSYAID] ASC,
	[ITEMGRUPID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
GO